Ticket #22917: freetype-source.diff

File freetype-source.diff, 14.2 KB (added by ryandesign (Ryan Carsten Schmidt), 14 years ago)
  • Makefile

    Only in wine-crossover-games-8.1.0/freetype: .gitignore
    diff -ru freetype-2.3.9/Makefile wine-crossover-games-8.1.0/freetype/Makefile
    old new  
    3131
    3232include $(TOP_DIR)/builds/toplevel.mk
    3333
     34depend:
     35
    3436# EOF
  • builds/freetype.mk

    diff -ru freetype-2.3.9/builds/freetype.mk wine-crossover-games-8.1.0/freetype/builds/freetype.mk
    old new  
    355355#
    356356clean: clean_project
    357357distclean: distclean_project remove_config_mk remove_ftmodule_h
    358         -$(DELETE) $(subst /,$(SEP),$(DOC_DIR)/*.html $(NO_OUTPUT))
     358        -$(DELETE) $(subst /,$(SEP), $(NO_OUTPUT))
    359359
    360360
    361361# EOF
  • builds/toplevel.mk

    diff -ru freetype-2.3.9/builds/toplevel.mk wine-crossover-games-8.1.0/freetype/builds/toplevel.mk
    old new  
    121121  # Note: This test is duplicated in `builds/unix/detect.mk'.
    122122  #
    123123  is_unix := $(strip $(wildcard /sbin/init) \
     124                     $(wildcard /sbin/launchd) \
    124125                     $(wildcard /usr/sbin/init) \
    125126                     $(wildcard /hurd/auth))
    126127  ifneq ($(is_unix),)
  • builds/unix/configure

    Only in wine-crossover-games-8.1.0/freetype/builds/unix: .gitignore
    diff -ru freetype-2.3.9/builds/unix/configure wine-crossover-games-8.1.0/freetype/builds/unix/configure
    old new  
    21472147
    21482148
    21492149
     2150echo host is $host
     2151case $host in
     2152  x86_64*linux*)
     2153    if test "x$enable_win64" != "xyes"
     2154    then
     2155      test -n "$CC" || CC="gcc -m32"
     2156      test -n "$LD" || LD="ld -m elf_i386"
     2157      host_cpu="i386"
     2158    fi
     2159    ;;
     2160esac
    21502161
    21512162# checks for programs
    21522163
     
    60866097
    60876098# Whether to use Mac OS resource-based fonts.
    60886099
     6100case $host_os in
     6101  darwin*|macosx*)
     6102    default_with_old_mac_fonts="yes"
     6103    ;;
     6104  *)
     6105    default_with_old_mac_fonts="no"
     6106    ;;
     6107esac
     6108
    60896109ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default
    60906110
    60916111# don't quote AS_HELP_STRING!
     
    60936113# Check whether --with-old-mac-fonts was given.
    60946114if test "${with_old_mac_fonts+set}" = set; then
    60956115  withval=$with_old_mac_fonts;
     6116else
     6117  with_old_mac_fonts=$default_with_old_mac_fonts
    60966118fi
    60976119
    60986120if test x$with_old_mac_fonts = xyes; then
     
    73307352else
    73317353  lt_cv_nm_interface="BSD nm"
    73327354  echo "int some_variable = 0;" > conftest.$ac_ext
    7333   (eval echo "\"\$as_me:7333: $ac_compile\"" >&5)
     7355  (eval echo "\"\$as_me:7355: $ac_compile\"" >&5)
    73347356  (eval "$ac_compile" 2>conftest.err)
    73357357  cat conftest.err >&5
    7336   (eval echo "\"\$as_me:7336: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
     7358  (eval echo "\"\$as_me:7358: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
    73377359  (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
    73387360  cat conftest.err >&5
    7339   (eval echo "\"\$as_me:7339: output\"" >&5)
     7361  (eval echo "\"\$as_me:7361: output\"" >&5)
    73407362  cat conftest.out >&5
    73417363  if $GREP 'External.*some_variable' conftest.out > /dev/null; then
    73427364    lt_cv_nm_interface="MS dumpbin"
     
    85388560  ;;
    85398561*-*-irix6*)
    85408562  # Find out which ABI we are using.
    8541   echo '#line 8541 "configure"' > conftest.$ac_ext
     8563  echo '#line 8563 "configure"' > conftest.$ac_ext
    85428564  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    85438565  (eval $ac_compile) 2>&5
    85448566  ac_status=$?
     
    1020110223   -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1020210224   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1020310225   -e 's:$: $lt_compiler_flag:'`
    10204    (eval echo "\"\$as_me:10204: $lt_compile\"" >&5)
     10226   (eval echo "\"\$as_me:10226: $lt_compile\"" >&5)
    1020510227   (eval "$lt_compile" 2>conftest.err)
    1020610228   ac_status=$?
    1020710229   cat conftest.err >&5
    10208    echo "$as_me:10208: \$? = $ac_status" >&5
     10230   echo "$as_me:10230: \$? = $ac_status" >&5
    1020910231   if (exit $ac_status) && test -s "$ac_outfile"; then
    1021010232     # The compiler can only warn and ignore the option if not recognized
    1021110233     # So say no if there are warnings other than the usual output.
     
    1054010562   -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1054110563   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1054210564   -e 's:$: $lt_compiler_flag:'`
    10543    (eval echo "\"\$as_me:10543: $lt_compile\"" >&5)
     10565   (eval echo "\"\$as_me:10565: $lt_compile\"" >&5)
    1054410566   (eval "$lt_compile" 2>conftest.err)
    1054510567   ac_status=$?
    1054610568   cat conftest.err >&5
    10547    echo "$as_me:10547: \$? = $ac_status" >&5
     10569   echo "$as_me:10569: \$? = $ac_status" >&5
    1054810570   if (exit $ac_status) && test -s "$ac_outfile"; then
    1054910571     # The compiler can only warn and ignore the option if not recognized
    1055010572     # So say no if there are warnings other than the usual output.
     
    1064510667   -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1064610668   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1064710669   -e 's:$: $lt_compiler_flag:'`
    10648    (eval echo "\"\$as_me:10648: $lt_compile\"" >&5)
     10670   (eval echo "\"\$as_me:10670: $lt_compile\"" >&5)
    1064910671   (eval "$lt_compile" 2>out/conftest.err)
    1065010672   ac_status=$?
    1065110673   cat out/conftest.err >&5
    10652    echo "$as_me:10652: \$? = $ac_status" >&5
     10674   echo "$as_me:10674: \$? = $ac_status" >&5
    1065310675   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1065410676   then
    1065510677     # The compiler can only warn and ignore the option if not recognized
     
    1070010722   -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1070110723   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1070210724   -e 's:$: $lt_compiler_flag:'`
    10703    (eval echo "\"\$as_me:10703: $lt_compile\"" >&5)
     10725   (eval echo "\"\$as_me:10725: $lt_compile\"" >&5)
    1070410726   (eval "$lt_compile" 2>out/conftest.err)
    1070510727   ac_status=$?
    1070610728   cat out/conftest.err >&5
    10707    echo "$as_me:10707: \$? = $ac_status" >&5
     10729   echo "$as_me:10729: \$? = $ac_status" >&5
    1070810730   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1070910731   then
    1071010732     # The compiler can only warn and ignore the option if not recognized
     
    1350013522  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1350113523  lt_status=$lt_dlunknown
    1350213524  cat > conftest.$ac_ext <<_LT_EOF
    13503 #line 13503 "configure"
     13525#line 13525 "configure"
    1350413526#include "confdefs.h"
    1350513527
    1350613528#if HAVE_DLFCN_H
     
    1359613618  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1359713619  lt_status=$lt_dlunknown
    1359813620  cat > conftest.$ac_ext <<_LT_EOF
    13599 #line 13599 "configure"
     13621#line 13621 "configure"
    1360013622#include "confdefs.h"
    1360113623
    1360213624#if HAVE_DLFCN_H
  • builds/unix/configure.ac

    diff -ru freetype-2.3.9/builds/unix/configure.ac wine-crossover-games-8.1.0/freetype/builds/unix/configure.ac
    old new  
    2727
    2828AC_CANONICAL_HOST
    2929
     30echo host is $host
     31case $host in
     32  x86_64*linux*)
     33    if test "x$enable_win64" != "xyes"
     34    then
     35      test -n "$CC" || CC="gcc -m32"
     36      test -n "$LD" || LD="ld -m elf_i386"
     37      host_cpu="i386"
     38    fi
     39    ;;
     40esac
    3041
    3142# checks for programs
    3243
     
    261272
    262273# Whether to use Mac OS resource-based fonts.
    263274
     275case $host_os in
     276  darwin*|macosx*)
     277    default_with_old_mac_fonts="yes"
     278    ;;
     279  *)
     280    default_with_old_mac_fonts="no"
     281    ;;
     282esac
     283
    264284ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default
    265285
    266286# don't quote AS_HELP_STRING!
    267287AC_ARG_WITH([old-mac-fonts],
    268288  AS_HELP_STRING([--with-old-mac-fonts],
    269                  [allow Mac resource-based fonts to be used]))
     289                 [allow Mac resource-based fonts to be used]),,
     290  [with_old_mac_fonts=$default_with_old_mac_fonts])
    270291if test x$with_old_mac_fonts = xyes; then
    271292  orig_LDFLAGS="${LDFLAGS}"
    272293  AC_MSG_CHECKING([CoreServices & ApplicationServices of Mac OS X])
  • builds/unix/detect.mk

    diff -ru freetype-2.3.9/builds/unix/detect.mk wine-crossover-games-8.1.0/freetype/builds/unix/detect.mk
    old new  
    1919  # Note: this test is duplicated in "builds/toplevel.mk".
    2020  #
    2121  is_unix := $(strip $(wildcard /sbin/init) \
     22                     $(wildcard /sbin/launchd) \
    2223                     $(wildcard /usr/sbin/init) \
    2324                     $(wildcard /hurd/auth))
    2425  ifneq ($(is_unix),)
  • builds/unix/install.mk

    diff -ru freetype-2.3.9/builds/unix/install.mk wine-crossover-games-8.1.0/freetype/builds/unix/install.mk
    old new  
    2020# maintainers).
    2121
    2222
     23ifndef LN_S
     24  LN_S := ln -s
     25endif
     26
    2327.PHONY: install uninstall check
    2428
    2529# Unix installation and deinstallation targets.
     
    6266          $(DESTDIR)$(libdir)/pkgconfig/freetype2.pc
    6367
    6468
     69# Unless told otherwise custom=std
     70custom=std
     71
     72install-image: $(PROJECT_LIBRARY)
     73        eval `perl $(TOP_DIR)/../cxpp -I$(TOP_DIR)/.. -DSH_EXPORT $(product:%=-DPRODUCT=%) $(custom:%=-DCUSTOM=%) $(TOP_DIR)/../DISTVERSION || echo "exit 1"` && \
     74        if [ "$$has_freetype" != "none" ]; then \
     75            $(MKINSTALLDIRS) $(DESTDIR)$(libdir) && \
     76            $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_PROGRAM_FLAGS) $(PROJECT_LIBRARY) $(DESTDIR)$(libdir) && \
     77            if [ ! -f $(DESTDIR)$(libdir)/$(LIBRARY).so -a -f $(DESTDIR)$(libdir)/$(LIBRARY).dylib ]; then \
     78                (cd $(DESTDIR)$(libdir) ; $(LN_S) $(LIBRARY).dylib $(LIBRARY).so); \
     79            fi && \
     80            ($(DELETE) $(DESTDIR)$(libdir)/$(LIBRARY).a $(DESTDIR)$(libdir)/$(LIBRARY).la || true); \
     81        fi
     82
    6583uninstall:
    6684        -$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY).$A
    6785        -$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/config/*
     
    87105        -$(DELETE) $(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)
    88106        -$(DELETE) $(patsubst %.$O,%.$(SO),$(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)) \
    89107                   $(CLEAN)
    90 
    91 distclean_project_unix: clean_project_unix
    92108        -$(DELETE) $(PROJECT_LIBRARY)
    93109        -$(DELETE) $(OBJ_DIR)/.libs/*
    94110        -$(DELDIR) $(OBJ_DIR)/.libs
     111
     112distclean_project_unix: clean_project_unix
    95113        -$(DELETE) *.orig *~ core *.core $(DISTCLEAN)
    96114
    97115# EOF
  • builds/unix/unix-cc.in

    diff -ru freetype-2.3.9/builds/unix/unix-cc.in wine-crossover-games-8.1.0/freetype/builds/unix/unix-cc.in
    old new  
    4242# The name of the final library file.  Note that the DOS-specific Makefile
    4343# uses a shorter (8.3) name.
    4444#
    45 LIBRARY := lib$(PROJECT)
     45#LIBRARY := lib$(PROJECT)
     46LIBRARY := libcxfreetype
    4647
    4748
    4849# Path inclusion flag.  Some compilers use a different flag than `-I' to
     
    7879#   We use our own FreeType configuration file.
    7980#
    8081CPPFLAGS := @CPPFLAGS@
    81 CFLAGS   := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>"
     82CFLAGS   := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>" \
     83          $(EXTRA_FREETYPE_CFLAGS)
    8284
    8385# ANSIFLAGS: Put there the flags used to make your compiler ANSI-compliant.
    8486#
  • configure

    diff -ru freetype-2.3.9/configure wine-crossover-games-8.1.0/freetype/configure
    old new  
    2121
    2222if test -z "`$GNUMAKE -v 2>/dev/null | grep GNU`"; then
    2323  if test -z "`$GNUMAKE -v 2>/dev/null | grep makepp`"; then
    24     echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2
    25     echo "Please try" >&2
    26     echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
    27     echo "or >&2"
    28     echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
    29     exit 1
     24    if test -n "`gmake -v 2>/dev/null | grep GNU`"; then
     25      GNUMAKE=gmake
     26    else
     27      echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2
     28      echo "Please try" >&2
     29      echo "  \`GNUMAKE=<GNU make command name> $0'." >&2
     30      echo "or >&2"
     31      echo "  \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2
     32      exit 1
     33    fi
    3034  fi
    3135fi
    3236
  • include/freetype/config/ftoption.h

    Only in wine-crossover-games-8.1.0/freetype/docs/reference: .gitignore
    diff -ru freetype-2.3.9/include/freetype/config/ftoption.h wine-crossover-games-8.1.0/freetype/include/freetype/config/ftoption.h
    old new  
    480480  /*   Do not #undef this macro here, since the build system might         */
    481481  /*   define it for certain configurations only.                          */
    482482  /*                                                                       */
     483  /* Note:  In the CrossOver build system, this flag is commented out.     */
     484  /*        to turn it on, define the value in EXTRA_FREETYPE_FLAGS.       */
     485
    483486/* #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER */
    484487
    485488
  • modules.cfg

    diff -ru freetype-2.3.9/modules.cfg wine-crossover-games-8.1.0/freetype/modules.cfg
    old new  
    3737# PostScript Type 1 font driver.
    3838#
    3939# This driver needs the `psaux', `pshinter', and `psnames' modules.
    40 FONT_MODULES += type1
     40#FONT_MODULES += type1
    4141
    4242# CFF/OpenType font driver.
    4343#
     
    4747# Type 1 CID-keyed font driver.
    4848#
    4949# This driver needs the `psaux', `pshinter', and `psnames' modules.
    50 FONT_MODULES += cid
     50#FONT_MODULES += cid
    5151
    5252# PFR/TrueDoc font driver.  See optional extension ftpfr.c below also.
    5353FONT_MODULES += pfr
  • src/base/ftmac.c

    Only in wine-crossover-games-8.1.0/freetype/objs: .gitignore
    Only in wine-crossover-games-8.1.0/freetype: patentobjs
    diff -ru freetype-2.3.9/src/base/ftmac.c wine-crossover-games-8.1.0/freetype/src/base/ftmac.c
    old new  
    737737
    738738
    739739    sfnt = GetResource( TTAG_sfnt, sfnt_id );
    740     if ( sfnt == NULL )
     740    if ( ResError() || sfnt == NULL )
    741741      return FT_Err_Invalid_Handle;
    742742
    743743    sfnt_size = (FT_ULong)GetHandleSize( sfnt );